View Issue Details

IDProjectCategoryView StatusLast Update
0004631GNUnetbuild processpublic2018-06-07 00:24
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004631: the sudo warning seems like a false positive
Descriptionconfigure: NOTICE: --with-sudo not specified and not running as 'root', will not install GNS NSS library

This seems unnecessary with current HEAD and even many revisions before that, the gns related files are installed even when sudo is not in the environment, and even when the build environment is so restricted that root and sudo are not in place.

I assume that this is now a false negative.
TagsNo tags attached.

Activities

ng0

2016-08-28 18:47

developer   ~0011070

This is low priority, I will look into this and see when I can come up with a patch to fix this.

Platforms I tested it on are Guix and Gentoo.

Christian Grothoff

2016-08-29 01:18

manager   ~0011071

Eh, I think they may be installed, but not in the location where NSS would like them and would use them, right?

ng0

2016-08-29 13:29

developer   ~0011076

Where does NSS expect them to be? What kind of information do you need? ldd output on the file(s) on Gentoo and Guix?

Christian Grothoff

2016-09-19 15:36

manager   ~0011125

On my system, the NSS plugins must be in /lib/i386-linux-gnu/. But I think /lib/ would also do. Regardless, without 'root' you're unlikely to install stuff at that location. Try looking for libraries named "libnss_*.so".

Christian Grothoff

2017-02-20 11:31

manager   ~0011792

I've updated the conditions when the message is printed to be more accurate, and to display the installation path IF we attempt an installation: c2d896668..d4c6f4e5e

Issue History

Date Modified Username Field Change
2016-08-28 18:46 ng0 New Issue
2016-08-28 18:47 ng0 Note Added: 0011070
2016-08-29 01:18 Christian Grothoff Note Added: 0011071
2016-08-29 01:18 Christian Grothoff Severity minor => text
2016-08-29 01:19 Christian Grothoff Assigned To => Christian Grothoff
2016-08-29 01:19 Christian Grothoff Status new => feedback
2016-08-29 13:29 ng0 Note Added: 0011076
2016-08-29 13:29 ng0 Status feedback => assigned
2016-09-19 15:36 Christian Grothoff Note Added: 0011125
2016-09-19 15:36 Christian Grothoff Status assigned => feedback
2017-02-20 11:31 Christian Grothoff Note Added: 0011792
2017-02-20 11:31 Christian Grothoff Status feedback => resolved
2017-02-20 11:31 Christian Grothoff Resolution open => fixed
2017-02-20 11:31 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-20 11:31 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed